picard.vcf

## Class GenotypeConcordanceStates.TruthAndCallStates

- java.lang.Object
- - picard.vcf.GenotypeConcordanceStates.TruthAndCallStates

- All Implemented Interfaces:
    Comparable<GenotypeConcordanceStates.TruthAndCallStates>
  Enclosing class:
    GenotypeConcordanceStates

      public static class GenotypeConcordanceStates.TruthAndCallStates
      extends Object
      implements Comparable<GenotypeConcordanceStates.TruthAndCallStates>

  A minute class to store the truth and call state respectively.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `GenotypeConcordanceStates.CallState` | `callState`
    `GenotypeConcordanceStates.TruthState` | `truthState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruthAndCallStates(GenotypeConcordanceStates.TruthState truthState, GenotypeConcordanceStates.CallState callState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(GenotypeConcordanceStates.TruthAndCallStates that)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### truthState

          public final GenotypeConcordanceStates.TruthState truthState

    - #### callState

          public final GenotypeConcordanceStates.CallState callState

  - ### Constructor Detail

    - #### TruthAndCallStates

          public TruthAndCallStates(GenotypeConcordanceStates.TruthState truthState,
                                    GenotypeConcordanceStates.CallState callState)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(GenotypeConcordanceStates.TruthAndCallStates that)

      Specified by:
        `compareTo` in interface `Comparable<GenotypeConcordanceStates.TruthAndCallStates>`